%define name    tilda
%define version 0.9.6
%define release %mkrel 7

Summary:        Tilda - Drop Down Terminal for Linux
Name:           %{name}
Version:        %{version}
Release:        %{release}
License:        GPLv2+
Group:          Terminals
Url:            http://tilda.sourceforge.net/
Source:         http://ovh.dl.sourceforge.net/sourceforge/%{name}/%{name}-%{version}.tar.gz
Patch0:		tilda-0.9.6-read-glade.patch
Patch1:		tilda-0.9.6-fix-segfault.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-buildroot

BuildRequires:  pkgconfig
BuildRequires:  vte-devel
BuildRequires:  confuse-devel
BuildRequires:  flex
BuildRequires:  libglade2.0-devel

Requires:       vte
Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils

%description
Tilda is a Linux terminal taking after the likeness
of many classic terminals from first person shooter
games, Quake, Doom and Half-Life to name a few,
where the terminal has no border and is hidden from
the desktop till a key or keys is hit.


%prep
%setup -q -n %{name}-%version
%patch0 -p0
%patch1 -p1

%build
%configure2_5x --disable-rpath
%make

%install
rm -rf %{buildroot}
%makeinstall_std

mkdir -p %{buildroot}%{_datadir}/%{name}
mv %{name}.glade %{buildroot}%{_datadir}/%{name}
rm -f %{buildroot}%{_datadir}/%{name}.glade

%find_lang %{name}

%if %mdkversion < 200900
%post
%update_menus
%endif

%if %mdkversion < 200900
%postun
%clean_menus
%endif

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%{_bindir}/tilda
%{_datadir}/applications/tilda.desktop
%{_datadir}/pixmaps/tilda.png
%{_datadir}/%{name}/*.glade


%changelog
* Wed Dec 08 2010 Oden Eriksson <oeriksson@mandriva.com> 0.9.6-7mdv2011.0
+ Revision: 615217
- the mass rebuild of 2010.1 packages

* Sat Mar 20 2010 Emmanuel Andry <eandry@mandriva.org> 0.9.6-6mdv2010.1
+ Revision: 525498
- add p1 provided by bug reporter to fix segfault (#58153)

* Wed Jun 10 2009 Götz Waschk <waschk@mandriva.org> 0.9.6-5mdv2010.0
+ Revision: 384704
- rebuild for new vte

* Tue Jun 02 2009 Götz Waschk <waschk@mandriva.org> 0.9.6-4mdv2010.0
+ Revision: 382206
- rebuild for new libvte

* Fri Aug 08 2008 Thierry Vignaud <tv@mandriva.org> 0.9.6-3mdv2009.0
+ Revision: 269434
- rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Sun Jun 08 2008 Funda Wang <fwang@mandriva.org> 0.9.6-2mdv2009.0
+ Revision: 216840
- let the program read glade file from subdir

* Thu May 01 2008 Funda Wang <fwang@mandriva.org> 0.9.6-1mdv2009.0
+ Revision: 199794
- New version 0.9.6

  + Thierry Vignaud <tv@mandriva.org>
    - fix spacing at top of description
    - kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Thu Dec 13 2007 Jérôme Soyer <saispo@mandriva.org> 0.9.5-1mdv2008.1
+ Revision: 119352
- Add missing BuildRequires
- New release 0.9.5

* Sat Dec 01 2007 Funda Wang <fwang@mandriva.org> 0.9.4-3mdv2008.1
+ Revision: 114305
- fix summary
- new license policy

* Sat Dec 01 2007 Funda Wang <fwang@mandriva.org> 0.9.4-2mdv2008.1
+ Revision: 114251
- update menus
- fix desktop file

  + Thierry Vignaud <tv@mandriva.org>
    - kill desktop-file-validate's 'warning: key "Encoding" in group "Desktop Entry" is deprecated'

* Fri Jun 15 2007 Jérôme Soyer <saispo@mandriva.org> 0.9.4-1mdv2008.0
+ Revision: 39881
- New release 0.9.4


* Wed Mar 28 2007 Emmanuel Andry <eandry@mandriva.org> 0.09.3-2mdv2007.1
+ Revision: 149278
- buildrequires vte-devel
  buildrequires confuse-devel

  + Jérôme Soyer <saispo@mandriva.org>
    - Import tilda

* Fri Jul 21 2006 Jerome Soyer <saispo@mandriva.org> 0.09.3-1mdv2007.0
- New release 0.09.3

* Fri Jun 30 2006 Jerome Soyer <saispo@mandriva.org> 0.09.2-1mdv2007.0
- New release 0.09.2
- XDG Menu

* Wed Oct 05 2005 Nicolas Lcureuil <neoclust@mandrake.org> 0.09-1mdk
- First Mandriva package for Frendh dbutant Mailing list

